openSUSE Security Update : slrn (openSUSE-2017-459) (POODLE)

2017-04-12T00:00:00
ID OPENSUSE-2017-459.NASL
Type nessus
Reporter Tenable
Modified 2018-09-04T00:00:00

Description

This update for slrn contains one security improvement :

  • CVE-2014-3566: Disable SSLv3 to prevent POODLE attack (boo#1031023)

The version 1.0.3 also contains a number of display and message processing improvements.

                                        
                                            #
# (C) Tenable Network Security, Inc.
#
# The descriptive text and package checks in this plugin were
# extracted from openSUSE Security Update openSUSE-2017-459.
#
# The text description of this plugin is (C) SUSE LLC.
#

include("compat.inc");

if (description)
{
  script_id(99297);
  script_version("3.2");
  script_cvs_date("Date: 2018/09/04 13:20:08");

  script_cve_id("CVE-2014-3566");

  script_name(english:"openSUSE Security Update : slrn (openSUSE-2017-459) (POODLE)");
  script_summary(english:"Check for the openSUSE-2017-459 patch");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote openSUSE host is missing a security update."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"This update for slrn contains one security improvement :

  - CVE-2014-3566: Disable SSLv3 to prevent POODLE attack
    (boo#1031023)

The version 1.0.3 also contains a number of display and message
processing improvements."
  );
  script_set_attribute(
    attribute:"see_also",
    value:"https://bugzilla.opensuse.org/show_bug.cgi?id=1031023"
  );
  script_set_attribute(attribute:"solution", value:"Update the affected slrn packages.");
  script_set_cvss_base_vector("CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N");
  script_set_cvss3_base_vector("CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:N/A:N");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:slrn");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:slrn-debuginfo");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:slrn-debugsource");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:slrn-lang");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:novell:opensuse:42.1");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:novell:opensuse:42.2");

  script_set_attribute(attribute:"patch_publication_date", value:"2017/04/11");
  script_set_attribute(attribute:"in_the_news", value:"true");
  script_set_attribute(attribute:"plugin_publication_date", value:"2017/04/12");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2017-2018 and is owned by Tenable, Inc. or an Affiliate thereof.");
  script_family(english:"SuSE Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/SuSE/release", "Host/SuSE/rpm-list", "Host/cpu");

  exit(0);
}


include("audit.inc");
include("global_settings.inc");
include("rpm.inc");

if (!get_kb_item("Host/local_checks_enabled")) audit(AUDIT_LOCAL_CHECKS_NOT_ENABLED);
release = get_kb_item("Host/SuSE/release");
if (isnull(release) || release =~ "^(SLED|SLES)") audit(AUDIT_OS_NOT, "openSUSE");
if (release !~ "^(SUSE42\.1|SUSE42\.2)$") audit(AUDIT_OS_RELEASE_NOT, "openSUSE", "42.1 / 42.2", release);
if (!get_kb_item("Host/SuSE/rpm-list")) audit(AUDIT_PACKAGE_LIST_MISSING);

ourarch = get_kb_item("Host/cpu");
if (!ourarch) audit(AUDIT_UNKNOWN_ARCH);
if (ourarch !~ "^(i586|i686|x86_64)$") audit(AUDIT_ARCH_NOT, "i586 / i686 / x86_64", ourarch);

flag = 0;

if ( rpm_check(release:"SUSE42.1", reference:"slrn-1.0.3-4.1") ) flag++;
if ( rpm_check(release:"SUSE42.1", reference:"slrn-debuginfo-1.0.3-4.1") ) flag++;
if ( rpm_check(release:"SUSE42.1", reference:"slrn-debugsource-1.0.3-4.1") ) flag++;
if ( rpm_check(release:"SUSE42.1", reference:"slrn-lang-1.0.3-4.1") ) flag++;
if ( rpm_check(release:"SUSE42.2", reference:"slrn-lang-1.0.3-4.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.2", cpu:"x86_64", reference:"slrn-1.0.3-4.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.2", cpu:"x86_64", reference:"slrn-debuginfo-1.0.3-4.3.1") ) flag++;
if ( rpm_check(release:"SUSE42.2", cpu:"x86_64", reference:"slrn-debugsource-1.0.3-4.3.1") ) flag++;

if (flag)
{
  if (report_verbosity > 0) security_warning(port:0, extra:rpm_report_get());
  else security_warning(0);
  exit(0);
}
else
{
  tested = pkg_tests_get();
  if (tested) audit(AUDIT_PACKAGE_NOT_AFFECTED, tested);
  else audit(AUDIT_PACKAGE_NOT_INSTALLED, "slrn / slrn-debuginfo / slrn-debugsource / slrn-lang");
}